%define version	0.1.4
%define release	%mkrel 4

%define scim_version		1.4.0
%define m17n-lib_version	1.2.0

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-m17n
Summary:	A wrapper for m17n
Version:		%{version}
Release:		%{release}
Group:		System/Internationalization
License:		GPL
URL:			http://sourceforge.net/projects/scim/
Source0:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:		%{libname} = %{version}-%{release}
Requires:			m17n-lib >= %{m17n-lib_version}
Requires:			scim >= %{scim_version}
BuildRequires:		m17n-lib-devel >= %{m17n-lib_version}
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		automake1.8, libltdl-devel

%description
A wrapper for m17n.


%package -n	%{libname}
Summary:	Scim-m17n library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
Scim-m17n library.


%prep
%setup -q
cp /usr/share/automake-1.9/mkinstalldirs .

%build
[[ ! -x configure ]] && ./bootstrap

%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%{_libdir}/scim-1.0/IMEngine/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/IMEngine/*.so


%changelog
* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.4-4mdk
- Rebuild for new scim

* Mon Jun 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.4-3mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.4-2mdk
- rebuild for new scim

* Sat Apr 16 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> - 0.1.4-1mdk
- new release

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.4-0.cvs20050217.2mdk
- rebuild for new scim

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> - 0.1.4-0.cvs20050217.1mdk
- latest snapshot
- rebuild with scim-1.1.3
- spec cleanup

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.4-0.cvs20041229.2mdk
- latest snapshot
- rebuild with scim-1.0.2

* Mon Aug 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-1mdk
- new release
- add Requires: m17n-db

* Mon Aug 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-1mdk
- new release
- bump scim buildrequires

* Sun Jul 25 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.1-2mdk
- add BuildRequires: libltdl-devel

* Mon Jun 21 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-1mdk
- new release

* Mon Jun 14 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-1mdk
- initial spec for mdk
